Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AddressEntry

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.AddressEntry

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddressBookEntry, Contact

public abstract class AddressEntry
extends AbstractDocument
implements java.io.Serializable

This class is an address entry.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`abstract java.lang.String` | `getAddress()` Gets the address of the address entry.
`abstract java.lang.String` | `getDisplayName()` Gets the display name of the address entry.

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo, serverUpdate`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDisplayName

    public abstract java.lang.String getDisplayName()
                                             throws DominoException

  Gets the display name of the address entry.

  Returns:
    the display name of the address entry
  Throws:
    `DominoException`

### getAddress

    public abstract java.lang.String getAddress()
                                         throws DominoException

  Gets the address of the address entry.

  Returns:
    the address of the address entry
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.